Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
Class Compile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.compile.Compile

All Implemented Interfaces:
  PatternFilterable

    class Compile
    extends ConventionTask

author:
  Hans Dockter

Field Summary
`protected AntJavac` | `antCompile`
`protected ExistingDirsFilter` | `existentDirsFilter`

Constructor Summary
`Compile(Project project, java.lang.String name)`

Method Summary
`protected void` | `compile()`
`Compile` | `exclude(java.lang.String excludes)`
`Compile` | `exclude(java.lang.Iterable excludes)`
`java.lang.Iterable` | `getClasspath()`
`File` | `getDestinationDir()`
`Set` | `getExcludes()`
`Set` | `getIncludes()`
`CompileOptions` | `getOptions()`
`java.lang.String` | `getSourceCompatibility()`
`List` | `getSrcDirs()`
`java.lang.String` | `getTargetCompatibility()`
`Compile` | `include(java.lang.String includes)`
`Compile` | `include(java.lang.Iterable includes)`
`void` | `setClasspath(FileCollection configuration)`
`void` | `setDestinationDir(File destinationDir)`
`Compile` | `setExcludes(java.lang.Iterable excludes)`
`Compile` | `setIncludes(java.lang.Iterable includes)`
`void` | `setOptions(CompileOptions options)`
`void` | `setSourceCompatibility(java.lang.String sourceCompatibility)`
`void` | `setSrcDirs(List srcDirs)`
`void` | `setTargetCompatibility(java.lang.String targetCompatibility)`

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### antCompile

    protected AntJavac antCompile

### existentDirsFilter

    protected ExistingDirsFilter existentDirsFilter

Constructor Detail

### Compile

    public Compile(Project project, java.lang.String name)

Method Detail

### compile

    protected void compile()

### exclude

    public Compile exclude(java.lang.String excludes)

### exclude

    public Compile exclude(java.lang.Iterable excludes)

### getClasspath

    public java.lang.Iterable getClasspath()

### getDestinationDir

    public File getDestinationDir()

### getExcludes

    public Set getExcludes()

### getIncludes

    public Set getIncludes()

### getOptions

    public CompileOptions getOptions()

### getSourceCompatibility

    public java.lang.String getSourceCompatibility()

### getSrcDirs

    public List getSrcDirs()

### getTargetCompatibility

    public java.lang.String getTargetCompatibility()

### include

    public Compile include(java.lang.String includes)

### include

    public Compile include(java.lang.Iterable includes)

### setClasspath

    public void setClasspath(FileCollection configuration)

### setDestinationDir

    public void setDestinationDir(File destinationDir)

### setExcludes

    public Compile setExcludes(java.lang.Iterable excludes)

### setIncludes

    public Compile setIncludes(java.lang.Iterable includes)

### setOptions

    public void setOptions(CompileOptions options)

### setSourceCompatibility

    public void setSourceCompatibility(java.lang.String sourceCompatibility)

### setSrcDirs

    public void setSrcDirs(List srcDirs)

### setTargetCompatibility

    public void setTargetCompatibility(java.lang.String targetCompatibility)

Groovy Documentation